# BEGIN SourceDeps(oneline):
BuildRequires: perl(Sys/Hostname.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)

Summary:	Squid native log format (NLF) analyzer and report generator
Name:		calamaris
Version:	2.59
Release:	alt2_7
License:	GPLv2+
Group:		Networking/WWW
URL:		http://calamaris.cord.de/
Source0:	http://calamaris.cord.de/%{name}-%{version}.tar.gz
Source1:	calamaris-filter-requires.sh
BuildArch:	noarch
Source44: import.info

%description
Calamaris parses the Squid Native Log and generates reports
about Peak-usage, Request-Methods, Status-reports of incoming
and outgoing requests, second and Top-level destinations,
content-types and performance.
 
%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES.utf8 CHANGES
touch -r CHANGES CHANGES.utf8; mv -f CHANGES.utf8 CHANGES
iconv -f iso-8859-1 -t utf-8 -o EXAMPLES.utf8 EXAMPLES
touch -r EXAMPLES EXAMPLES.utf8; mv -f EXAMPLES.utf8 EXAMPLES

%files
%doc CHANGES COPYRIGHT EXAMPLES README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.59-alt2_7
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 2.59-alt2_6
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.59-alt1_6
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 2.59-alt1_5
- fc import

